Copy Transaction
post
/rest/v19/commerceDocumentsOraclecpqoTransaction/{id}/actions/_copy_transaction
Use this endpoint to copy the specified transaction.
Request
Supported Media Types
- application/json
Path Parameters
-
id(required): integer
Current unique user-side ID. This is the internal identifier for a transaction within a CPQ site.
Root Schema : commerceDocumentsOraclecpqoTransaction-_copy_transactionRequest
Type:
Show Source
object-
cacheInstanceId:
string
Title:
Cache Instance IdThe unique identifier for the entry of transaction data stored in the cache. This typically is obtained from first createTransaction or OpenTransaction action and passed along in subsequent Modify/Interact action to avoid reload transaction data from db. -
copy_sequence_id:
integer
Title:
Copy Sequence IdCopy Sequence Id uniquely identifies a sequence associated to the copy action. A sequence informs the system which Commerce actions to perform while copying a Transaction and who should have access to the Copy action -
criteria:
object Query Definition
Title:
Query DefinitionCaptures the query definition for the current resource request. -
delta:
boolean
Title:
DeltaThe boolean parameter to request a delta response for data as well as state in the context of current criteria. -
freezePrice:
boolean
Title:
Is Price FrozenBoolean parameter indicating whether prices are freezed for transaction. If true, then CPQ pricing calculation won't impact prices. -
revisionId:
string
Title:
Revision IdThe string parameter that contains the revision information.
Nested Schema : Query Definition
Type:
objectTitle:
Query DefinitionCaptures the query definition for the current resource request.
Show Source
-
actions:
array actions
Array of actions names, whose state is requested in the state object response.
-
childDefs:
array childDefs
-
childGroups:
object Group Query Criteria
Title:
Group Query CriteriaCriteria for grouping transactional line items. -
enableHierarchy:
boolean
Parameter value should be true to execute hierarchy search and sort. Default value is false.
-
excludeFieldTypes:
array excludeFieldTypes
Array of field names that you want to exclude in the response.
-
expand:
array expand
Array of child resource names that you want to expand so that the contents return with the parent in the same request.
-
expandedDomainCriteria:
array expandedDomainCriteria
Map of dynamic menu field names, whose expanded domains are requested in the state object response, to a map of criteria, which are meant for filtering dynamic menu options. The criteria map should contain the node(s) information when dynamic menus on LIG are expanded. The criteria map also contains the search string. The search strings support contains, and are case-insensitive.
-
expandedDomains:
array expandedDomains
Array of field names, whose expanded domains are requested in the state object response.
-
expandNodes:
boolean
Boolean value that only be available when enableHierarchy is true. True = all nodes will be expanded; False = All nodes will be collapsed.Default value is true.
-
fields:
array fields
Array of field names that you wanted returned in a request.
-
groups:
array groups
Array of group names, whose state is requested in the state object response.
-
layoutRules:
string
Enum value that specifies the state of layout rules which needs to be fetched and executed. By default, this value is set to NO_RULE indicating that layout rules is not executed. enum: [DEPLOYED, UNDEPLOYED, NO_RULE]
-
limit:
integer
Positive integer value that specifies the maximum number of items returned by the server.
-
nodesExceptionList:
array nodesExceptionList
Array of document_number, recording the nodes that violate current expandNodes flag
-
offset:
integer
Non-negative integer values that specifies the index of the first item to be returned. The offset index begins at 0. By default, the offset is 0, which returns all items starting from the first item in the collection.
-
orderBy:
array orderBy
Array of field names, each optionally followed by asc or desc, that specifies the order of items returned in the response payload.
-
parentFields:
array parentFields
Array of field names to include in the parentFields of each resource row.
-
q:
string
Filter (a ???where???clause) to restrict the items returned in the collection. By default, no filtering is applied.
-
rootFields:
array rootFields
Array of field names to include in the rootFields of each resource row.
-
state:
boolean
Boolean value that specifies whether to calculate the state property. By default, this value is set to false indicating that state is not calculated.
-
totalResults:
boolean
Boolean value that specifies whether to calculate the totalResults property. By default, this value is set to false indicating that totalResults is not calculated.
Nested Schema : actions
Type:
arrayArray of actions names, whose state is requested in the state object response.
Show Source
Nested Schema : childDefs
Type:
Show Source
array-
Array of:
object Child query criteria.
Title:
Child query criteria.Captures the query criteria for the child resource.
Nested Schema : Group Query Criteria
Type:
objectTitle:
Group Query CriteriaCriteria for grouping transactional line items.
Show Source
-
attributeName:
string
The attribute name to group by.
-
expandGroups:
boolean
Whether to expand groups.
-
groupLimit:
integer
The maximum number of groups to return.
-
groupOffset:
integer
The group offset for pagination.
-
itemsOffsetList:
object itemsOffsetList
Additional Properties Allowed: additionalPropertiesMap of group name and integer which will be offset for that group.
Nested Schema : excludeFieldTypes
Type:
arrayArray of field names that you want to exclude in the response.
Show Source
Nested Schema : expand
Type:
arrayArray of child resource names that you want to expand so that the contents return with the parent in the same request.
Show Source
Nested Schema : expandedDomainCriteria
Type:
arrayMap of dynamic menu field names, whose expanded domains are requested in the state object response, to a map of criteria, which are meant for filtering dynamic menu options. The criteria map should contain the node(s) information when dynamic menus on LIG are expanded. The criteria map also contains the search string. The search strings support contains, and are case-insensitive.
Show Source
Nested Schema : expandedDomains
Type:
arrayArray of field names, whose expanded domains are requested in the state object response.
Show Source
Nested Schema : fields
Type:
arrayArray of field names that you wanted returned in a request.
Show Source
Nested Schema : groups
Type:
arrayArray of group names, whose state is requested in the state object response.
Show Source
Nested Schema : nodesExceptionList
Type:
arrayArray of document_number, recording the nodes that violate current expandNodes flag
Show Source
Nested Schema : orderBy
Type:
arrayArray of field names, each optionally followed by asc or desc, that specifies the order of items returned in the response payload.
Show Source
Nested Schema : parentFields
Type:
arrayArray of field names to include in the parentFields of each resource row.
Show Source
Nested Schema : rootFields
Type:
arrayArray of field names to include in the rootFields of each resource row.
Show Source
Nested Schema : Child query criteria.
Type:
objectTitle:
Child query criteria.Captures the query criteria for the child resource.
Show Source
-
name:
string
Rest alias name of the child resource this query belongs to.
-
queryDef:
object Query Definition
Title:
Query DefinitionCaptures the query definition for the current resource request. -
recursive:
boolean
Boolean value that specifies whether this query is a recursive expand on the current child resource query.
Nested Schema : itemsOffsetList
Type:
objectAdditional Properties Allowed
Show Source
Map of group name and integer which will be offset for that group.
Response
Supported Media Types
- application/json
Default Response
Root Schema : commerceDocumentsOraclecpqoTransaction-_copy_transactionResponse
Type:
Show Source
object-
cacheInstanceId:
string
Title:
Cache Instance IdThe unique identifier for the entry of transaction data stored in the cache. This typically is obtained from first createTransaction or OpenTransaction action and passed along in subsequent Modify/Interact action to avoid reload transaction data from db. -
destinationURL:
string
Title:
Destination URLThe destination url as defined in destination tab in action definition. -
layoutVariableName:
string
Title:
Selected Redwood LayoutThe string parameter that contains selected redwood layout's variable name. -
revisionId:
string
Title:
Revision IdThe string parameter that contains the revision information. -
warnings:
object warnings
Title:
warningswarning messages
Nested Schema : warnings
Type:
objectTitle:
warningswarning messages
Show Source
-
messages:
array Messages
Title:
MessagesArray of messages that have been generated for a specific object.
Nested Schema : Messages
Type:
arrayTitle:
MessagesArray of messages that have been generated for a specific object.
Show Source
-
Array of:
string
warning message.
Examples
The following example shows how to copy the specified transaction by submitting a POST request to the REST resource using cURL. For more information about cURL, see Use cURL.
curl -X POST -H "Authorization: Bearer <token>" -H "Accept: application/json" https://sitename.oracle.com/rest/v19/commerceDocumentsOraclecpqoTransaction/38468889/actions/_copy_transaction
Response Body Sample
{
"revisionId": "4,0",
"documents": {
"totalOneTimeListAmount_t": {
"value": 61725.0,
"currency": "USD"
},
"contactState_t": null,
"contactCity_t": null,
"_s_soldToPartyName_t": null,
"_customer_id": "300100122967029",
"_eSignatureAttributeSet_esig_file_attachment": {
"fileName": null,
"fileType": null,
"fileID": null,
"isFileSaved": false,
"fileLocation": "https://sitename.oracle.com/rest/v19/commerceProcesses/oraclecpqo/documents/36893204/attachmentAttributes/_eSignatureAttributeSet_esig_file_attachment/transactions/38892718/documentNumbers/1"
},
"_invoiceTo_t_state": null,
"orderKey_t": "ORA_BM_CPQ:38468889",
"mSDYNIsPrimaryQuote_c": false,
"_invoiceTo_t_city": null,
"transactionTotalDiscountPercent_t": 0.0,
"_s_billTo_t_city": null,
"_s_billTo_t_fax": null,
"_customer_t_state": null,
"totalContractValue_t": {
"value": 65725.0,
"currency": "USD"
},
"contractTypeName_t": null,
"_s_billTo_t_phone": null,
"contractStartDate_t": null,
"_s_billTo_t_zip": null,
"_s_shipToPartySiteID_t": null,
"addressType_t": null,
"_date_modified": "2024-06-09T17:54:28.000Z",
"_invoiceTo_t_email": null,
"_customer_t_address": "111 Vision St",
"_soldTo_t_state": null,
"hasRecurringPricing_t": true,
"contactType_t": null,
"contactProvince_t": null,
"_s_contactNumber_t": null,
"accountAddressElementAttribute5_t": null,
"totalAnnualCostAmount_t": {
"value": 0.0,
"currency": "USD"
},
"_shipTo_t_last_name": null,
"contractEndDate_t": null,
"mSDYNObjectName_c": null,
"_invoiceTo_t_company_name_2": null,
"contactUniqueName_t": null,
"_soldTo_t_zip": null,
"contractName_t": null,
"_soldTo_t_fax": null,
"_customer_t_country": {
"displayValue": "US",
"value": "US"
},
"totalOneTimeNetAmount_t": {
"value": 61725.0,
"currency": "USD"
},
"bs_id": "38892718",
"contactAddressLine4_t": null,
"_s_soldToCustomerAccountID_t": null,
"contactMiddleName_t": null,
"currentStepForTesting_tempDisplay_t": "Start",
"_submitted_by_submit_t": "",
"_customer_t_email": null,
"oRCL_SFA_PrimaryOrgID_t": null,
"accountUniqueName_t": null,
"billToSiteUseId_t": null,
"_partner_price_book_id": null,
"opportunityNumber_t": null,
"totalContractDiscount_t": {
"value": 0.0,
"currency": "USD"
},
"priceWithinPolicy_t": true,
"_soldTo_t_first_name": null,
"totalOneTimeCostAmount_t": {
"value": 0.0,
"currency": "USD"
},
"subscription_Status_t": null,
"_invoiceTo_t_company_name": null,
"accountPostalCode_t": null,
"_locked_by_user_login": null,
"_reject_link": "",
"_soldTo_t_country": null,
"_shipTo_t_zip": null,
"oRCL_SFA_TransactionID_t": null,
"_shipTo_t_fax": null,
"_customer_t_company_name": "Vision Development US)",
"accountEmailAddress_t": null,
"contactAddressLine3_t": null,
"_s_accountIntegrationResponse_t": null,
"userKey_t": "CPQ-90824Bv1",
"totalContractCostAmount_t": {
"value": 0.0,
"currency": "USD"
},
"_s_isPublished_t": null,
"priceExpirationDate_t": null,
"_s_customerStatus_t": null,
"_locked_time": null,
"_transaction_total": null,
"annualContractListValue_t": {
"value": 4000.0,
"currency": "USD"
},
"_s_billTo_t_address": null,
"approve_reject_icon_submit_t": null,
"oRCL_ERP_OrderID_t": "38468889",
"_s_accountPartyId_t": "1001",
"accountAddressLine1_t": null,
"totalRecurRevenue_t": {
"value": 4000.0,
"currency": "USD"
},
"_s_customerVisibilityIdentifier_t": null,
"priceType_t": null,
"_customer_t_city": null,
"_esigTest_c_esig_date_modified": null,
"totalOneTimeMarginAmount_t": {
"value": 61725.0,
"currency": "USD"
},
"_esigTest_c_esig_status": {
"displayValue": "Not Sent",
"value": "Not Sent"
},
"_eSignatureAttributeSet_esig_date_modified": null,
"proposalExists_t": false,
"accountAddressElementAttribute3_t": null,
"oRCL_SFA_Status_t": "ZCA_IN_PROGRESS",
"coverLetter_t": null,
"contactAddressElementAttribute4_t": null,
"transactionName_t": "01/16 Vision Development US)",
"contactLastName_t": null,
"_pp_id": 36918293,
"_document_number": "1",
"_esigTest_c_esig_recipients": null,
"_shipTo_t_phone": null,
"owner_t": "Albert M",
"_soldTo_t_email": null,
"contactFirstName_t": null,
"_invoiceTo_t_first_name": null,
"_customer_t_zip": null,
"_lock_status": false,
"_customer_t_fax": null,
"currency_t": {
"displayValue": "USD",
"value": "USD"
},
"totalMonthlyListAmount_t": {
"value": 4000.0,
"currency": "USD"
},
"_s_contractID_t": null,
"_s_transactionSource_t": null,
"renewalProcess_t": null,
"totalContractListValue_t": {
"value": 65725.0,
"currency": "USD"
},
"_eSignatureAttributeSet_esig_status": {
"displayValue": "Not Sent",
"value": "Not Sent"
},
"accountAddressLine2_t": null,
"_soldTo_t_company_name": null,
"_shipTo_t_first_name": null,
"_s_soldToPartyID_t": null,
"_s_soldToPartySiteID_t": null,
"_invoiceTo_t_country": null,
"version_t": 1,
"_shipTo_t_company_name": null,
"accountName_t": null,
"contactAddressLine2_t": null,
"accountAddressElementAttribute4_t": null,
"accountState_t": null,
"_price_book_custom_fields": {
"value": null
},
"contactAddressElementAttribute5_t": null,
"_price_book_var_name": "_default_price_book",
"_locked_by_user": -1,
"_s_billToCustomerAccountID_t": null,
"_revenueCategory_t": null,
"_currency_pref": {
"id": 5190368,
"currencyCode": "USD",
"links": [{
"rel": "domain",
"href": "https://sitename.oracle.com/rest/v19/currencies"
}, {
"rel": "canonical",
"href": "https://sitename.oracle.com/rest/v19/currencies/USD"
}
]
},
"_shipTo_t_address": null,
"contactEmailAddress_t": null,
"totalOneTimeDiscount_t": {
"value": 0.0,
"currency": "USD"
},
"totalMonthlyNetAmount_t": {
"value": 4000.0,
"currency": "USD"
},
"winLossStatus_t": {
"displayValue": "In Progress",
"value": "IN PROGRESS"
},
"freezePriceFlag_t": true,
"lastUpdatedDate_t": "2024-06-09T17:54:00Z",
"accountProvince_t": null,
"_s_billTo_t_state": null,
"_price_book_desc": "Default Price Book (1.0 x base price)",
"_document_var_name": "transaction",
"_s_accountContactNumber_t": null,
"_invoiceTo_t_address": null,
"renewalErrorEmailAddress_t": null,
"accountType_t": null,
"_customer_t_phone": null,
"lastPricedDate_t": "2024-01-16T11:52:00Z",
"lastUpdatedBy_t": "Albert M",
"_price_book_name": "Base Price",
"_s_contractTypeID_t": null,
"accountAddressElementAttribute1_t": null,
"partialShipAllowedFlag_t": false,
"oRCL_ERP_OrderNumber_t": "522074",
"_soldTo_t_city": null,
"primaryFlag_t": false,
"paymentTerms_t": null,
"totalMonthlyUsageRev_t": {
"value": 0.0,
"currency": "USD"
},
"createdDate_t": "2024-06-09",
"oRCL_SFA_SyncTime_t": "1900-01-01T00:00:00",
"accountAddressLine3_t": null,
"approval_status_submit_t": null,
"contactAddressLine1_t": null,
"transactionDescription_t": null,
"totalMonthlyCostAmount_t": {
"value": 0.0,
"currency": "USD"
},
"_date_added": "2024-06-09T17:54:26.000Z",
"_s_contactPartyNumber_t": null,
"contactAddressElementAttribute2_t": null,
"contactName_t": null,
"_invoiceTo_t_phone": null,
"_s_invoiceToPartySiteID_t": null,
"oRCL_ERP_PartialShipAllowed_t": false,
"_s_billTo_t_address_2": null,
"_shipTo_t_state": null,
"totalUsageRevenue_t": {
"value": 0.0,
"currency": "USD"
},
"fileAttachment_t": {
"fileName": null,
"fileType": null,
"fileID": null,
"isFileSaved": false,
"fileLocation": "https://sitename.oracle.com/rest/v19/commerceProcesses/oraclecpqo/documents/36893204/attachmentAttributes/fileAttachment_t/transactions/38892718/documentNumbers/1"
},
"_soldTo_t_address_2": null,
"invoiceToPartyID_t": null,
"_esigTest_c_esig_file_attachment": {
"fileName": null,
"fileType": null,
"fileID": null,
"isFileSaved": false,
"fileLocation": "https://sitename.oracle.com/rest/v19/commerceProcesses/oraclecpqo/documents/36893204/attachmentAttributes/_esigTest_c_esig_file_attachment/transactions/38892718/documentNumbers/1"
},
"_process_var_name": "oraclecpqo",
"_locked_by_user_first_name": null,
"_invoiceTo_t_zip": null,
"_s_billTo_t_country": null,
"createdBy_t": "Albert M",
"contractedPeriods_t": 1,
"_soldTo_t_last_name": null,
"contactNameSuffix_t": null,
"_s_assignedTo_t": null,
"_s_shipToPartyID_t": null,
"_s_accountPartyNumber_t": null,
"accountCity_t": null,
"_locked_by_user_last_name": null,
"accountAddressLine4_t": null,
"_s_billTo_t_last_name": null,
"renewalProcessUsed_t": null,
"_eSignatureAttributeSet_esig_envelope_id": null,
"mSDYNPrimaryQuoteId_c": null,
"transactionID_t": "CPQ-90824B",
"accountAddressElementAttribute2_t": null,
"_buyer_company_name": "cpq-techwriter1",
"opportunityName_t": null,
"renewDraftSubscriptionNumber_t": null,
"totalMonthlyDiscount_t": {
"value": 0.0,
"currency": "USD"
},
"_invoiceTo_t_fax": null,
"_shipTo_t_email": null,
"contactAddressElementAttribute3_t": null,
"_s_hostCompanyFullName_t": null,
"parent_transaction_id_versionTransaction_t": null,
"_s_billTo_t_company_name": null,
"opportunityID_t": null,
"_date_tx_modified": "2024-06-09T17:54:28.000Z",
"fulfillmentStatus_t": null,
"_soldTo_t_phone": null,
"_s_billToCustomerAccountName_t": null,
"_eSignatureAttributeSet_esig_recipients": null,
"accountMiddleName_t": null,
"accountLastName_t": null,
"accountNameSuffix_t": null,
"approval_history_submit_t": null,
"_customer_t_last_name": null,
"salesChannel_t": null,
"totalAnnualValue_t": {
"value": 4000.0,
"currency": "USD"
},
"_shipTo_t_city": null,
"_shipTo_t_country": null,
"contactCountry_t": null,
"defaultRequestDate_t": null,
"mSDYNOpportunityLineIds_c": null,
"priceScore_t": 9,
"transactionMarginPercent_t": 100.0,
"purchaseOrderNumber_t": null,
"_last_document_number": 2,
"_approve_link": "",
"_price_book_custom_field_text": {
"value": null
},
"_customer_t_address_2": null,
"requireApprovalIfChecked_temporary_t": false,
"_id": 38892718,
"_invoiceTo_t_address_2": null,
"subscriptionProfileId_t": "300100172161473",
"_shipTo_t_company_name_2": null,
"transactionSourceSystem_t": "ORA_BM_CPQ",
"accountFirstName_t": null,
"triggerUpdateAssetForLineStatus_t": "AWAIT_BILLING~ACTIVATED",
"totalAnnualMarginAmount_t": {
"value": 4000.0,
"currency": "USD"
},
"_s_billTo_t_email": null,
"createOrderRestResponse": "2~status_l~CREATED|2~fulfillmentLineId_l~300100623978594|",
"_shipTo_t_address_2": null,
"contactPostalCode_t": null,
"_step_var_name": "pending_process",
"_soldTo_t_company_name_2": null,
"oRCL_SFA_OwnerResourcePartyID_t": null,
"accountCountry_t": null,
"_esigTest_c_esig_envelope_id": null,
"businessUnitName_t": "Vision Operations",
"_s_billTo_t_first_name": null,
"TotalAnnualDiscount_t": {
"value": 0.0,
"currency": "USD"
},
"_soldTo_t_address": null,
"_invoiceTo_t_last_name": null,
"totalContractMarginAmount_t": {
"value": 65725.0,
"currency": "USD"
},
"_customer_t_company_name_2": null,
"_s_subscriptionId_t": null,
"approval_revision_submit_t": 1,
"contactAddressElementAttribute1_t": null,
"_supplier_company_name": "cpq-techwriter1",
"_s_customerPartySiteID_t": null,
"version_number_versionTransaction_t": "1",
"businessUnitId_t": null,
"_customer_t_first_name": null,
"oRCL_billingFrequency_t": null,
"_s_billTo_t_company_name_2": null,
"totalMonthlyMarginAmount_t": {
"value": 4000.0,
"currency": "USD"
},
"_pp_name": "Sales User",
"status_t": {
"displayValue": "Created",
"value": "CREATED"
},
"transactionLine": {
"hasMore": false,
"links": [{
"rel": "self",
"href": "https://sitename.oracle.com/rest/v19/commerceDocumentsOraclecpqoTransaction/38892718/transactionLine"
}
],
"items": [{
"_line_bom_attributes": null,
"_availableRatePlans": {
"displayValue": "Headspace Apps Plan1",
"value": "headspaceAppsPlan1"
},
"listAmount_l": {
"value": 61725.0,
"currency": "USD"
},
"discountAmount_l": {
"value": 0.0,
"currency": "USD"
},
"rollupFlag_l": false,
"contractStartDate_l": "2024-01-04",
"_model_partner_entity_id": null,
"listPriceRollup_l": {
"value": 13145.0,
"currency": "USD"
},
"_config_attributes": {
"value": null
},
"_part_sale_enabled": "Y",
"recurringRevSummable_l": {
"value": 0.0,
"currency": "USD"
},
"fulfillmentLineId_l": "300100623978594",
"_part_display_number": "Headspace Apps",
"_model_attributes": {
"value": null
},
"_price_list_price_each": {
"value": 0.0,
"currency": "USD"
},
"_line_bom_effective_date": null,
"includedInBasePrice": null,
"_parent_line_item": null,
"_date_modified": "2024-06-09T17:54:28.000Z",
"rootAssetKey_l": "abo_386ae2d7-c3b5-4eb3-bde0-7d7a1b2623df",
"annualMargin_l": {
"value": 0.0,
"currency": "USD"
},
"_model_product_line_attributes": {
"value": null
},
"_price_configurable_price": {
"value": 0.0,
"currency": "USD"
},
"costAmount_l": {
"value": 0.0,
"currency": "USD"
},
"_is_part_pricing_rule_price": true,
"_part_default_uom": "Ea",
"discountPercent_l": 0.0,
"_part_sales_product_type": "SUBSCRIPTION",
"contractEndDate_l": "2024-02-03",
"_last_modified_date": "2024-06-09 17:54:28",
"_s_freezeNegotiationFlag_l": null,
"subscriptionId_l": null,
"_config_extra_info": null,
"suspendDate_l": null,
"unitMargin_l": {
"value": 12345.0,
"currency": "USD"
},
"resumeDate_l": null,
"_part_number": "Headspace Apps",
"_sequence_number": 1,
"_line_bom_display_name": null,
"unitCost_l": null,
"_price_applied_agreement_integrationId": null,
"_price_unit_price_each": {
"value": 12345.0,
"currency": "USD"
},
"_model_base_price": null,
"customDiscountValue_l": null,
"_model_product_line_name": null,
"_price_item_price_each": {
"value": 0.0,
"currency": "USD"
},
"recurRevRollup_l": {
"value": 4000.0,
"currency": "USD"
},
"monthlyUsageRevRollup_l": {
"value": 0.0,
"currency": "USD"
},
"_transaction_currency_pref": {
"id": 5190368,
"currencyCode": "USD"
},
"oRCL_ABO_ComponentAttributes_l": null,
"_price_applied_ratePlan_integrationId": "300100622063874",
"priceWithinPolicy_l": true,
"_part_serv_req_enabled": "Y",
"_model_supplier_company_id": null,
"_model_segment_id": null,
"_partner_entity_id": "300100620537618",
"requestDate_l": null,
"_part_base_price": {
"value": 0.0,
"currency": "USD"
},
"contractMargin_l": {
"value": 61725.0,
"currency": "USD"
},
"pricePeriod_l": null,
"changeCode_l": null,
"associatedLineId_l": null,
"_model_partner_organization_id": null,
"_model_segment_name": null,
"priceType_l": {
"displayValue": "One Time",
"value": "One Time"
},
"nonRecurRevRollup_l": {
"value": 61725.0,
"currency": "USD"
},
"oRCL_SFA_Status_l": "ZCA_IN_PROGRESS",
"_config_attr_info": {
"value": null
},
"_s_partID_l": null,
"contractListValueRollup_l": {
"value": 65725.0,
"currency": "USD"
},
"contractValue_l": {
"value": 61725.0,
"currency": "USD"
},
"netAmountRollup_l": {
"value": 65725.0,
"currency": "USD"
},
"_prior_price": null,
"customDiscountAmount_l": {
"value": 0.0,
"currency": "USD"
},
"_parent_doc_number": null,
"requestShipDate_l": "2024-01-16",
"_reconfiguration_date": "1970-01-01 00:00:00",
"annualCost_l": {
"value": 0.0,
"currency": "USD"
},
"_part_desc": "Headspace Apps",
"_chargeSetControl": 1,
"_pp_id": 36918293,
"_document_number": 2,
"parentAssetKey_l": null,
"_rollup_delta_price": null,
"_is_bom_price": false,
"winLossStatus_l": {
"displayValue": "In Progress",
"value": "IN PROGRESS"
},
"_price_calculation_info": "[{\"_priceProfileVar\":\"_defaultPriceModel\",\"_priceProfileName\":\"Base Price Model\",\"_isAgreement\":false,\"_pricingEngineRuleVar\":\"_defaultPricingRule\",\"_pricingEngineRuleName\":\"Base Pricing Rule\",\"_runningUnitPrice\":12345.0}]",
"associatedOrderId_l": null,
"_price_applied_ratePlan": "Headspace Apps Plan1",
"_price_component_prices": {
"value": null
},
"discountPercentRollup_l": 0.0,
"_part_supplier_company_id": "4118171",
"_original_document_number": "-1",
"contractListValue_l": {
"value": 61725.0,
"currency": "USD"
},
"_line_item_spare_rule_var_name": null,
"_price_applied_agreement_name": null,
"_revenueCategory_l": null,
"_part_id": "37768173",
"_part_company_associations": null,
"_part_default_periods": "N/A",
"marginPercent_l": 100.0,
"_price_book_var_name": "_default_price_book",
"customDiscountType_l": null,
"_model_sales_product_type": null,
"_group_sequence_number": "1.0",
"_price_applied_ratePlan_number": "headspaceAppsPlan1",
"lastUpdatedDate_l": null,
"_price_quantity": 5,
"paymentTerms_l": null,
"lastUpdatedBy_l": "Albert M",
"_part_supplier_company_name": "cpqext-009",
"_document_var_name": "transactionLine",
"mSDYNOpportunityLineId_c": null,
"_part_default_price_type": null,
"createdDate_l": "2024-06-09T17:54:00Z",
"contractCost_l": {
"value": 0.0,
"currency": "USD"
},
"contractDiscount_l": {
"value": 0.0,
"currency": "USD"
},
"_line_bom_name": null,
"oRCL_ERP_OrderNumber_l": "522074",
"_model_is_valid": false,
"_part_external_key2": null,
"_part_external_key1": null,
"changeReason_l": null,
"_config_attr_text": {
"value": null
},
"itemInstanceName_l": null,
"priceRecurFrequencyRollup_l": {
"displayValue": "Per Month",
"value": "MONTHLY"
},
"_price_applied_agreement_number": null,
"_line_bom_model_path": null,
"_model_id": null,
"_availableRatePlanSetControl": 1,
"_date_added": "2024-06-09T17:54:26.000Z",
"_model_product_line_id": null,
"requestedUnitOfMeasure_l": {
"displayValue": "Each",
"value": "Ea"
},
"usageRevSummable_l": {
"value": 0.0,
"currency": "USD"
},
"monthlyRecurRevRollup_l": {
"value": 4000.0,
"currency": "USD"
},
"_configuration_id": null,
"_model_bom": null,
"contractedPeriods_l": 1,
"createdBy_l": "Albert M",
"parentDocNumber_l": null,
"fulfillmentStatus_l": {
"displayValue": "Fulfilled",
"value": "FULFILLED"
},
"_model_variable_name": null,
"monthlyRecurRevSummable_l": {
"value": 0.0,
"currency": "USD"
},
"_model_product_line_var_name": null,
"_is_recommended_price": false,
"_transactionLine_id": "38892718_2",
"annualListValue_l": {
"value": 0.0,
"currency": "USD"
},
"lastPriced_c": null,
"_line_bom_id": "SPI_2",
"_model_supplier_company_name": null,
"rootLine_l": {
"displayValue": "Y",
"value": "Y"
},
"lineType_l": {
"displayValue": "Part",
"value": "PART"
},
"transactionID_l": "38892718",
"_line_bom_part_number": "Headspace Apps",
"usageRevRollup_l": {
"value": 0.0,
"currency": "USD"
},
"itemInstanceId_l": "abo_51703643-9f03-46ea-aad3-abbb0d4dd8b8",
"_s_coverageOrderNumber": null,
"_s_coverageLineNumber": null,
"_line_bom_item_quantity": 1,
"annualDiscount_l": {
"value": 0.0,
"currency": "USD"
},
"_model_segment_var_name": null,
"_line_bom_level": 0,
"_bs_id": 38892718,
"netAmount_l": {
"value": 61725.0,
"currency": "USD"
},
"orderDate_l": null,
"_part_units": null,
"_part_direct_buy": "1",
"salesChannel_l": null,
"oRCL_SFA_InventoryItemID_l": "300100620537618",
"oRCL_ABO_ActionCode_l": {
"displayValue": "Add",
"value": "ADD"
},
"priceRecurFrequency_l": null,
"_line_bom_parent_id": null,
"priceScore_l": 9,
"_line_item_type": null,
"_part_default_periodicity": null,
"_delta_price": null,
"_line_display_name": "Headspace Apps",
"netPrice_l": {
"value": 12345.0,
"currency": "USD"
},
"_revenueId_l": null,
"freezeNegotiationFlag_l": true,
"renewDate_l": null,
"_price_type": "One Time",
"listPrice_l": {
"value": 12345.0,
"currency": "USD"
},
"_part_extended_desc_2": null,
"documentNumber_l": "2",
"_part_extended_desc_1": null,
"nonRecurRevSummable_l": {
"value": 61725.0,
"currency": "USD"
},
"priceTypeRollup_l": {
"displayValue": "Mixed",
"value": "Mixed"
},
"contractedPeriodsRollup_l": 1,
"_is_line_item_mandatory": false,
"_price_period": null,
"ownerResourceId_l": null,
"_id": 38892720,
"_is_coverage": false,
"_part_lead_time": "N/A",
"lineNumber_l": null,
"_part_css_enabled": "N",
"subscriptionLineId_l": null,
"status_l": {
"displayValue": "Created",
"value": "CREATED"
},
"_line_item_comment": null,
"contractValueRollup_l": {
"value": 65725.0,
"currency": "USD"
},
"_line_bom_sequence_index": null,
"_step_var_name": "pending_process",
"_model_name": null,
"_config_attr_values": null,
"_part_drawing_position": null,
"fulfillmentOrganizationCode_l": null,
"_pricing_rule_price_each": {
"value": 12345.0,
"currency": "USD"
},
"monthlyUsageRevSummable_l": {
"value": 0.0,
"currency": "USD"
},
"_line_bom_variable_name": null,
"marginAmount_l": {
"value": 61725.0,
"currency": "USD"
},
"_partner_organization_id": "204",
"netPriceRollup_l": {
"value": 13145.0,
"currency": "USD"
},
"annualValue_l": {
"value": 0.0,
"currency": "USD"
},
"_pp_name": "Sales User",
"oRCL_SFA_InventoryOrgID_l": "204",
"_line_bom_condition_index": null,
"links": [{
"rel": "self",
"href": "https://sitename.oracle.com/rest/v19/commerceDocumentsOraclecpqoTransaction/38892718/transactionLine/2"
}, {
"kind": "",
"rel": "child",
"name": "_chargeSet",
"href": "https://sitename.oracle.com/rest/v19/commerceDocumentsOraclecpqoTransaction/38892718/transactionLine/2/_chargeSet"
}, {
"kind": "",
"rel": "child",
"name": "_availableRatePlanSet",
"href": "https://sitename.oracle.com/rest/v19/commerceDocumentsOraclecpqoTransaction/38892718/transactionLine/2/_availableRatePlanSet"
}, {
"kind": "",
"rel": "child",
"name": "oRCL_charges",
"href": "https://sitename.oracle.com/rest/v19/commerceDocumentsOraclecpqoTransaction/38892718/transactionLine/2/oRCL_charges"
}, {
"rel": "parent",
"href": "https://sitename.oracle.com/rest/v19/commerceDocumentsOraclecpqoTransaction/38892718"
}
]
}
]
}
},
"warnings": {}
}